// Config.h: interface for the CConfig class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CONFIG_H__FB63E5FE_85CD_4155_B44F_37652790F1D6__INCLUDED_)
#define AFX_CONFIG_H__FB63E5FE_85CD_4155_B44F_37652790F1D6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include <string>
#include <map>

using namespace std;

class CConfig  
{
public:
	static CConfig* Instance(){return &s_Config;}
	~CConfig() {};

public:
	static CString GetAppPath();
	BOOL SaveSetting();


	BOOL LoadFromINI();
	BOOL SaveToINI();

protected:
	CConfig();
	static CConfig s_Config;

public:
	CString m_strTxt;
	CString m_strPdf;

	CString m_strMode;
	CString m_strImg;
	CString m_strCut;

};

#endif // !defined(AFX_CONFIG_H__FB63E5FE_85CD_4155_B44F_37652790F1D6__INCLUDED_)
